#encoder
SELF_DIR := $(abspath $(dir $(lastword $(MAKEFILE_LIST))))
REL_DIR := $(patsubst %/,%,$(dir $(lastword $(MAKEFILE_LIST))))
ifeq ($(MKDBG), 1)
  $(info >>> $(REL_DIR)/component.mk)
endif
$(eval C_INCLUDES += -I$(REL_DIR)/inc)
$(eval CXX_SOURCES += $(wildcard $(REL_DIR)/src/*.cpp))
ifeq ($(MKDBG), 1)
  $(info <<<)
endif
